Library Channels
Generated library channels operations.
GET/v1/library-channels/{id}/logoRead library channels logoread
- Audience
- Clients · Native API
- Authorization
- API key or personal access token with the read scope, or a signed-in session
- OpenAPI operation ID
get_library_channels_id_logo
Parameters
| Name | In | Type | Description |
|---|---|---|---|
idrequired | path | string |
Responses
200Successapplication/octet-stream
Example
"string"Schema
string (binary)
defaultRequest refused or unavailableapplication/json
Example
{
"error": {
"code": "string",
"message": "string"
}
}Schema
errorobjectrequired
- codestringrequired
- messagestringrequired
Error codesinvalid_requestunauthorizednot_permittednot_foundinternaldatabase_busy
Example request
curl -X GET "http://127.0.0.1:32500/v1/library-channels/{id}/logo" \
-H "Authorization: Bearer $PORTICO_API_KEY"POST/v1/library-channels/preferencesRun library channels preferencesplayback
- Audience
- Clients · Native API
- Authorization
- API key or personal access token with the playback scope, or a signed-in session
- OpenAPI operation ID
post_library_channels_preferences- Max body
- 4 KiB
Parameters
| Name | In | Type | Description |
|---|---|---|---|
Idempotency-Key | header | string | |
Portico-Mutation-Root | header | string |
Request body application/json · required
Example
{
"channelId": "id_8h2k4q",
"expectedRevision": 0,
"favorite": true,
"hidden": true,
"requestId": "id_8h2k4q",
"sourceId": "id_8h2k4q"
}Schema
- channelIdstringrequired
- expectedRevisionintegerrequired
- favoritebooleanrequired
- hiddenbooleanrequired
- requestIdstringrequired
- sourceIdstringrequired
Responses
200Successapplication/json
Example
{
"protocolVersion": "string",
"revision": 0,
"serverId": "id_8h2k4q"
}Schema
- protocolVersionstringrequired
- revisionintegerrequired
- serverIdstringrequired
defaultRequest refused or unavailableapplication/json
Example
{
"error": {
"code": "string",
"message": "string"
}
}Schema
errorobjectrequired
- codestringrequired
- messagestringrequired
Error codesinvalid_requestunauthorizednot_permittednot_foundinternalidempotency_conflictreceipt_expiredinvalid_mutation_keydatabase_busywriter_capacity
Example request
curl -X POST "http://127.0.0.1:32500/v1/library-channels/preferences" \
-H "Authorization: Bearer $PORTICO_API_KEY" \
-H "Content-Type: application/json" \
-d '{"channelId":"id_8h2k4q","expectedRevision":0,"favorite":true,"hidden":true,"requestId":"id_8h2k4q","sourceId":"id_8h2k4q"}'No operations match that filter.